Bug 1517704 - Unable to preview LOKDocView-supported documents
Summary: Unable to preview LOKDocView-supported documents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-documents
Version: 7.5
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Debarshi Ray
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1510876
Blocks: 1519876
TreeView+ depends on / blocked
 
Reported: 2017-11-27 09:35 UTC by Martin Krajnak
Modified: 2018-05-17 14:39 UTC (History)
5 users (show)

Fixed In Version: gnome-documents-3.22.2-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 13:08:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
backport of the relevant piece (660 bytes, patch)
2017-11-27 12:02 UTC, Caolan McNamara
no flags Details | Diff
Patch against the RPM package (2.80 KB, patch)
2017-11-27 15:47 UTC, Debarshi Ray
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 769088 None None None 2017-11-27 11:59:52 UTC
GNOME Bugzilla 785568 None None None 2017-12-06 11:15:47 UTC
Red Hat Product Errata RHBA-2018:0770 None None None 2018-04-10 13:09:52 UTC

Description Martin Krajnak 2017-11-27 09:35:14 UTC
Description of problem:
Any libreoffice/ooxml document preview not working

Version-Release number of selected component (if applicable):
gnome-documents-3.22.2-5.el7.x86_64
libreofficekit-5.3.6.1-4.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.Open gnome-documents
2.Click on any libreoffice/ooxml

Actual results:
no action

Expected results:
documents should be opened

Additional info:
console log:

(org.gnome.Documents:8252): Gjs-WARNING **: JS ERROR: Exception in callback for signal: window-mode-changed: ReferenceError: LOKDocView is not defined
isAvailable@resource:///org/gnome/Documents/js/lokview.js:83:5
LOKView<.createView@resource:///org/gnome/Documents/js/lokview.js:130:13
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
Preview<._init@resource:///org/gnome/Documents/js/preview.js:48:21
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
_parent@resource:///org/gnome/gjs/modules/_legacy.js:39:12
LOKView<._init@resource:///org/gnome/Documents/js/lokview.js:103:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
View<._createPreview@resource:///org/gnome/Documents/js/view.js:807:25
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
set windowMode@resource:///org/gnome/Documents/js/view.js:838:13
Embed<._onWindowModeChanged@resource:///org/gnome/Documents/js/embed.js:123:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
_emit@resource:///org/gnome/gjs/modules/signals.js:126:27
ModeController<.setWindowMode@resource:///org/gnome/Documents/js/windowMode.js:85:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
DocumentManager<._requestPreview@resource:///org/gnome/Documents/js/documents.js:1654:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
DocumentManager<.setActiveItem@resource:///org/gnome/Documents/js/documents.js:1729:13
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
BaseManager<.setActiveItemById@resource:///org/gnome/Documents/js/manager.js:87:16
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
ViewContainer<._onItemActivated@resource:///org/gnome/Documents/js/view.js:608:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
main@resource:///org/gnome/Documents/js/main.js:47:12
run@resource:///org/gnome/gjs/modules/package.js:221:12
@/usr/bin/gnome-documents:6:1


(org.gnome.Documents:8252): Gjs-WARNING **: JS ERROR: ReferenceError: LOKDocView is not defined
isAvailable@resource:///org/gnome/Documents/js/lokview.js:83:5
DocCommon<.loadLocal@resource:///org/gnome/Documents/js/documents.js:685:18
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
LocalDocument<.load@resource:///org/gnome/Documents/js/documents.js:869:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
DocumentManager<.setActiveItem@resource:///org/gnome/Documents/js/documents.js:1731:13
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
BaseManager<.setActiveItemById@resource:///org/gnome/Documents/js/manager.js:87:16
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
ViewContainer<._onItemActivated@resource:///org/gnome/Documents/js/view.js:608:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
main@resource:///org/gnome/Documents/js/main.js:47:12
run@resource:///org/gnome/gjs/modules/package.js:221:12
@/usr/bin/gnome-documents:6:1


(org.gnome.Documents:8252): Gjs-WARNING **: JS ERROR: ReferenceError: LOKDocView is not defined
isAvailable@resource:///org/gnome/Documents/js/lokview.js:83:5
DocCommon<.loadLocal@resource:///org/gnome/Documents/js/documents.js:685:18
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
LocalDocument<.load@resource:///org/gnome/Documents/js/documents.js:869:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
DocumentManager<.setActiveItem@resource:///org/gnome/Documents/js/documents.js:1731:13
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
BaseManager<.setActiveItemById@resource:///org/gnome/Documents/js/manager.js:87:16
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
ViewContainer<._onItemActivated@resource:///org/gnome/Documents/js/view.js:608:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
main@resource:///org/gnome/Documents/js/main.js:47:12
run@resource:///org/gnome/gjs/modules/package.js:221:12
@/usr/bin/gnome-documents:6:1

Comment 3 Caolan McNamara 2017-11-27 12:02:21 UTC
Digging into this I see that the lokview part of https://git.gnome.org/browse/gnome-documents/commit/?id=13da84ec220619e0bb92658d1b4c5f50e4542a16 fixes this

Comment 4 Caolan McNamara 2017-11-27 12:02:52 UTC
Created attachment 1359440 [details]
backport of the relevant piece

Comment 5 Debarshi Ray 2017-11-27 15:35:37 UTC
This is a fallout from the gjs rebase (bug 1481381 and bug 1505747). Thanks for tracking it down, Caolan!

Comment 6 Debarshi Ray 2017-11-27 15:47:02 UTC
Created attachment 1359527 [details]
Patch against the RPM package

I am currently unable to push due to:

remote: *** Commit b743b77f6e5e5ed50136f18eae02c9a302615ed7 denied
remote: *** Current checkin policy requires:
remote:     rhel-7.5.0 == +
remote: *** See https://mojo.redhat.com/docs/DOC-1020853 for more information

Comment 7 Debarshi Ray 2017-12-06 11:03:52 UTC
I built gnome-documents-3.22.2-6.el7, which adjust the LibreofficeKit detection to work with gjs-1.48 and fixes a bunch of WARNINGs from gjs-1.50:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14692411

However, this still won't give you a functional gnome-documents because of yet more issues that are caused by the gjs rebase. I'll exploit the other bugs for the remaining patches.

Comment 11 Martin Krajnak 2017-12-19 15:57:17 UTC
The issue is fixed in:
gnome-documents-3.22.2-8.el7.x86_64

Comment 14 errata-xmlrpc 2018-04-10 13:08:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0770


Note You need to log in before you can comment on or make changes to this bug.